Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#14166 closed defect (fixed)

possible memory leak at imagery download

Reported by: Klumbumbus Owned by: team
Priority: major Milestone: 17.01
Component: Core imagery Version:
Keywords: template_report cache jcs regression memory Cc: wiktorn

Description (last modified by Klumbumbus)

It happend to me already several times, that JOSM froze, when I had no osm data loaded (only imagery shape polygons) and was scrolling and panning around for a while to create/check imagery shapes. I have to kill it via the task manager then. This time I could save the console output (just before it feezes completely josm reacts slow). I start josm via jnlp with <j2se version="1.7+" initial-heap-size="256m" max-heap-size="1100m"/> When it froze the taskmanager says that jp2launcher.exe had 928.596 KB ram. If needed I can attach a longer console output. (With "freeze" I mean I can still minimize and miximize the JOSM window, but the whole window is filled with black color. Also the console window is unusable.)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-12-27 14:50:47 +0100 (Tue, 27 Dec 2016)
Build-Date:2016-12-28 02:32:23
Revision:11419
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11419 en) Windows 7 32-Bit
Memory Usage: 247 MB / 1063 MB (72 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-mehr-RAM.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,1100m, -Djnlpx.splashport=57246, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (33005)
+ DirectDownload (33004)
+ DirectUpload (32885)
+ FastDraw (33004)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.2)
+ OpeningHoursEditor (33004)
+ alignways (33088)
+ apache-commons (32994)
+ apache-http (32699)
+ buildings_tools (33004)
+ contourmerge (1030)
+ editgpx (33004)
+ imagery-xml-bounds (33004)
+ imagery_offset_db (33004)
+ log4j (32699)
+ measurement (33088)
+ osm-obj-info (1468276210)
+ photo_geotagging (33088)
+ photoadjust (33088)
+ reltoolbox (33088)
+ reverter (33088)
+ tag2link (33035)
+ tageditor (33021)
+ tagging-preset-tester (33004)
+ terracer (33088)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (32699)
+ utilsplugin2 (33088)
+ wikipedia (33098)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- D:\<user.name>\OSM\eigene styles\maxspeed\maxspeed_2.8_01 zeige richtungspfeile.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4899211,47.5468752,7.4926677,47.5487291 -> 200
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:19 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4981609,47.5431673,7.5036541,47.5468752 -> 200
Dec 28, 2016 2:24:19 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4926677,47.5431673,7.4981609,47.5468752 -> 200
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:20 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4981609,47.5468752,7.5036541,47.5505829 -> 200
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:21 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4981609,47.5394591,7.5036541,47.5431673 -> 200
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:21 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.5036541,47.5431673,7.5091472,47.5468752 -> 200
Dec 28, 2016 2:24:22 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.4926677,47.5468752,7.4981609,47.5505829 -> 200
Dec 28, 2016 2:24:25 PM org.openstreetmap.josm.tools.bugreport.BugReportQueue submit
SEVERE: Handled by bug report queue: java.lang.OutOfMemoryError: unable to create new native thread
java.lang.OutOfMemoryError: unable to create new native thread
	at java.lang.Thread.start0(Native Method)
	at java.lang.Thread.start(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.addWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.processWorkerExit(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:25 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.5036541,47.5468752,7.5091472,47.5505829 -> 200
Dec 28, 2016 2:24:25 PM org.openstreetmap.josm.tools.bugreport.BugReportQueue submit
SEVERE: Handled by bug report queue: java.lang.OutOfMemoryError: unable to create new native thread
java.lang.OutOfMemoryError: unable to create new native thread
	at java.lang.Thread.start0(Native Method)
	at java.lang.Thread.start(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.addWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.processWorkerExit(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

Dec 28, 2016 2:24:25 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.5036541,47.5394591,7.5146404,47.5468752 -> 200
[INFO] CacheEventQueue - Cache event queue created: CacheEventQueue [listenerId=1153556229, cacheName=WMS_BLOCK_v2]
Dec 28, 2016 2:24:26 PM org.openstreetmap.josm.tools.bugreport.BugReportQueue submit
SEVERE: Handled by bug report queue: java.lang.OutOfMemoryError: unable to create new native thread
java.lang.OutOfMemoryError: unable to create new native thread
	at java.lang.Thread.start0(Native Method)
	at java.lang.Thread.start(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.addWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.execute(Unknown Source)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.submit(JCSCachedTileLoaderJob.java:177)
	at org.openstreetmap.josm.data.imagery.TMSCachedTileLoaderJob.submit(TMSCachedTileLoaderJob.java:154)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.loadTile(AbstractTileSourceLayer.java:994)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$500(AbstractTileSourceLayer.java:117)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.loadAllTiles(AbstractTileSourceLayer.java:1357)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.access$1200(AbstractTileSourceLayer.java:1272)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.drawInViewArea(AbstractTileSourceLayer.java:1556)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$2900(AbstractTileSourceLayer.java:117)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.doPaint(AbstractTileSourceLayer.java:1945)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.paint(AbstractTileSourceLayer.java:1940)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:441)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:522)
	at javax.swing.JComponent.paintChildren(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintToOffscreen(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
	at javax.swing.RepaintManager.paint(Unknown Source)
	at javax.swing.JComponent._paintImmediately(Unknown Source)
	at javax.swing.JComponent.paintImmediately(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.access$1200(Unknown Source)
	at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Dec 28, 2016 2:24:26 PM org.openstreetmap.josm.Main info
INFO: GET http://geoweb.so.ch/wms/sogis_orthofoto.wms?FORMAT=image/png&TRANSPARENT=TRUE&VERSION=1.1.1&SERVICE=WMS&REQUEST=GetMap&LAYERS=Orthofoto_SO&STYLES=&SRS=EPSG:4326&WIDTH=512&HEIGHT=512&BBOX=7.5256267,47.5320419,7.5366130,47.5394591 -> 200
Dec 28, 2016 2:24:26 PM org.openstreetmap.josm.tools.bugreport.BugReportQueue submit
SEVERE: Handled by bug report queue: java.lang.OutOfMemoryError: unable to create new native thread
java.lang.OutOfMemoryError: unable to create new native thread
	at java.lang.Thread.start0(Native Method)
	at java.lang.Thread.start(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.addWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.execute(Unknown Source)
	at org.openstreetmap.josm.data.cache.JCSCachedTileLoaderJob.submit(JCSCachedTileLoaderJob.java:177)
	at org.openstreetmap.josm.data.imagery.TMSCachedTileLoaderJob.submit(TMSCachedTileLoaderJob.java:154)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.loadTile(AbstractTileSourceLayer.java:994)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$500(AbstractTileSourceLayer.java:117)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.loadAllTiles(AbstractTileSourceLayer.java:1357)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSet.access$1200(AbstractTileSourceLayer.java:1272)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.drawInViewArea(AbstractTileSourceLayer.java:1556)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer.access$2900(AbstractTileSourceLayer.java:117)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.doPaint(AbstractTileSourceLayer.java:1945)
	at org.openstreetmap.josm.gui.layer.AbstractTileSourceLayer$TileSourcePainter.paint(AbstractTileSourceLayer.java:1940)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:441)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:522)
	at javax.swing.JComponent.paintChildren(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintToOffscreen(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
	at javax.swing.RepaintManager.paint(Unknown Source)
	at javax.swing.JComponent._paintImmediately(Unknown Source)
	at javax.swing.JComponent.paintImmediately(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.access$1200(Unknown Source)
	at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (1)

visualvm_threads.PNG (14.0 KB) - added by wiktorn 3 years ago.

Download all attachments as: .zip

Change History (25)

comment:1 Changed 3 years ago by Klumbumbus

Description: modified (diff)

comment:2 Changed 3 years ago by Don-vip

Component: Core image mappingCore imagery

comment:3 Changed 3 years ago by skyper

There seem to be some problems with the imagery cache. Myself, I notice problems of loading background images which can slow down the whole system. Solutions are either kill the cache or completely restart.

comment:4 Changed 3 years ago by nkamapper

I have the same problem. JOSM 11427 freezes repeatedly when using imagery. Standard web start.

comment:5 Changed 3 years ago by Don-vip

Cc: wiktorn added
Keywords: cache added

comment:6 Changed 3 years ago by wiktorn

Looking into it

comment:7 Changed 3 years ago by wiktorn

Anyone can help me to reproduce it? I've downloaded 5k tiles from WMS service (precache imagery along the GPX track) with:
<java version="1.8+" initial-heap-size="256m" max-heap-size="500m" /> and notice no problem.

I tried panning around, saw ~2k tiles and didn't noticed slowdown.

I guess that cache might come up in stack traces as it puts quite heavy pressure on memory, but maybe leak is somewhere else.

This is beginning of status report after downloading 5k tiles to cache.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-01-02 00:53:29 +0100 (Mon, 02 Jan 2017)
Build-Date:2017-01-02 02:33:21
Revision:11427
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11427 pl) Windows 10 64-Bit
Memory Usage: 448 MB / 448 MB (174 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 2560x1440, \Display1 1280x1024
Maximum Screen Size: 2560x1440
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\Desktop\josm.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,500m, -Djnlpx.splashport=51934, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]

comment:8 Changed 3 years ago by nkamapper

I have created a new ticket with my status report since my case is a bit different (also doing editing). #14203

comment:9 Changed 3 years ago by Klumbumbus

Ticket #14203 has been marked as a duplicate of this ticket.

comment:10 in reply to:  7 Changed 3 years ago by Don-vip

Replying to wiktorn:

Anyone can help me to reproduce it?

Have you tried with TMS instead of WMS?

comment:11 Changed 3 years ago by wiktorn

I guess that I might have found some clue:

Looks like we have quite a lot of threads spawned by JCS such as:

"CacheEventQueue.QProcessor-WMS_BLOCK_v2" #541 daemon prio=5 os_prio=0 tid=0x00000000227ce800 nid=0x2338 waiting on condition [0x0000000049f5f000]
   java.lang.Thread.State: TIMED_WAITING (parking)
        at sun.misc.Unsafe.park(Native Method)
        - parking to wait for  <0x00000000e5f59590> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
        at java.util.concurrent.locks.LockSupport.parkNanos(Unknown Source)
        at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(Unknown Source)
        at java.util.concurrent.LinkedBlockingQueue.poll(Unknown Source)
        at org.apache.commons.jcs.engine.CacheEventQueue$QProcessor.run(CacheEventQueue.java:209)

This might point to the source of the problem

Last edited 3 years ago by wiktorn (previous) (diff)

Changed 3 years ago by wiktorn

Attachment: visualvm_threads.PNG added

comment:12 Changed 3 years ago by Don-vip

JCS changeset 1774925 looks related (18/12/2016 19:19 by tv: Clean up API - Use LinkedBlockingQueue instead of home-grown implementation)

comment:13 Changed 3 years ago by Don-vip

Keywords: jcs regression memory added
Priority: normalmajor

comment:14 Changed 3 years ago by wiktorn

Reported upstream:
https://issues.apache.org/jira/browse/JCS-171

Looks like we got a winner.

@Don-vip: bull's-eye.

comment:15 Changed 3 years ago by wiktorn

Just for those interested to reproduce this problem. To cause this problem you need following pattern:

  1. Put some data into the cache (i.e. download some new tiles)
  2. Wait at least 5 seconds
  3. Put some more data into cache

Wait is crucial part. It is typical access pattern for mapper, but it might be not for the tester.

comment:16 Changed 3 years ago by Don-vip

r11438 causes jenkins build to hang :(

comment:17 Changed 3 years ago by Don-vip

kill -3 output:

    [junit] Running org.openstreetmap.josm.gui.layer.gpx.DownloadWmsAlongTrackActionTest
    [junit] 2017-01-08 05:22:01
    [junit] Full thread dump OpenJDK 64-Bit Server VM (25.111-b14 mixed mode):
    [junit] 
    [junit] "CacheEventQueue.QProcessor-TMS_BLOCK_v2" #911 daemon prio=5 os_prio=0 tid=0x00007f8eb4056800 nid=0x30ca waiting on condition [0x00007f8ea99dc000]
    [junit]    java.lang.Thread.State: TIMED_WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c5964bd0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2078)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.poll(LinkedBlockingQueue.java:467)
    [junit] 	at org.apache.commons.jcs.engine.CacheEventQueue$QProcessor.run(CacheEventQueue.java:209)
    [junit] 
    [junit] "Map Status Collector" #895 daemon prio=6 os_prio=0 tid=0x00007f8f10275000 nid=0x30ba waiting on condition [0x00007f8eaa6e9000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x0000000772202bf0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #893 daemon prio=6 os_prio=0 tid=0x00007f8f102e0000 nid=0x30b7 waiting on condition [0x00007f8eaa8eb000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x000000076f2417d8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #890 daemon prio=6 os_prio=0 tid=0x00007f8f10288800 nid=0x30ae waiting on condition [0x00007f8eaa9ec000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006d004c968> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #889 daemon prio=6 os_prio=0 tid=0x00007f8f10285000 nid=0x30ac waiting on condition [0x00007f8eaaaed000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006d004cc40> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #888 daemon prio=6 os_prio=0 tid=0x00007f8f102e1000 nid=0x30aa waiting on condition [0x00007f8eaadee000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006d004b368> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #886 daemon prio=6 os_prio=0 tid=0x00007f8f1028a800 nid=0x30a7 waiting on condition [0x00007f8eaaeef000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006d019acd0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #870 daemon prio=6 os_prio=0 tid=0x00007f8f101e0800 nid=0x2ee0 waiting on condition [0x00007f8eab0f1000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cfceb608> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "bug-report-display" #850 prio=6 os_prio=0 tid=0x00007f8f102dc800 nid=0x27ad in Object.wait() [0x00007f8eab1f2000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at org.openstreetmap.josm.tools.bugreport.BugReportQueue.getNext(BugReportQueue.java:102)
    [junit] 	- locked <0x00000006cfba43a8> (a org.openstreetmap.josm.tools.bugreport.BugReportQueue)
    [junit] 	at org.openstreetmap.josm.tools.bugreport.BugReportQueue.access$100(BugReportQueue.java:19)
    [junit] 	at org.openstreetmap.josm.tools.bugreport.BugReportQueue$BugReportDisplayRunnable.run(BugReportQueue.java:79)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #806 daemon prio=6 os_prio=0 tid=0x00007f8f1005f000 nid=0x2223 waiting on condition [0x00007f8eab2f3000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cfae4d98> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #790 daemon prio=6 os_prio=0 tid=0x00007f8ecc063000 nid=0x2034 waiting on condition [0x00007f8eab3f4000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf96e8f0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #788 daemon prio=6 os_prio=0 tid=0x00007f8ecc061800 nid=0x1f9c waiting on condition [0x00007f8eab6f5000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf8204e0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #763 daemon prio=6 os_prio=0 tid=0x00007f8ecc06c000 nid=0x15ea waiting on condition [0x00007f8eab7f6000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf5f16f0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #761 daemon prio=6 os_prio=0 tid=0x00007f8ecc06b000 nid=0x1575 waiting on condition [0x00007f8eab8f7000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf503800> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #759 daemon prio=6 os_prio=0 tid=0x00007f8ecc06a000 nid=0x1566 waiting on condition [0x00007f8eab9f8000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf420870> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #757 daemon prio=6 os_prio=0 tid=0x00007f8ecc069000 nid=0x155b waiting on condition [0x00007f8eabaf9000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf350260> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #755 daemon prio=6 os_prio=0 tid=0x00007f8ecc0a8800 nid=0x1558 waiting on condition [0x00007f8eabbfa000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf2219e0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #753 daemon prio=6 os_prio=0 tid=0x00007f8ecc05f000 nid=0x1553 waiting on condition [0x00007f8eabcfb000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf14d2e8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #751 daemon prio=6 os_prio=0 tid=0x00007f8ecc0ac000 nid=0x154d waiting on condition [0x00007f8eabdfc000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cf055578> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #749 daemon prio=6 os_prio=0 tid=0x00007f8ecc0ab000 nid=0x154a waiting on condition [0x00007f8eabefd000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cef45f58> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #747 daemon prio=6 os_prio=0 tid=0x00007f8ecc0aa000 nid=0x1547 waiting on condition [0x00007f8eabffe000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cee5a748> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #745 daemon prio=6 os_prio=0 tid=0x00007f8ecc0a7800 nid=0x1544 waiting on condition [0x00007f8ebc182000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ced67b30> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #743 daemon prio=6 os_prio=0 tid=0x00007f8ecc0b1800 nid=0x1523 waiting on condition [0x00007f8ebd2e5000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ceccc8d0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #727 daemon prio=6 os_prio=0 tid=0x00007f8ecc0a6800 nid=0x1469 waiting on condition [0x00007f8ebc485000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ceb6e408> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #725 daemon prio=6 os_prio=0 tid=0x00007f8ecc0a5800 nid=0x13d5 waiting on condition [0x00007f8ebc384000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ceaa1950> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Timer-8" #651 daemon prio=5 os_prio=0 tid=0x00007f8ec8010800 nid=0x6d7 in Object.wait() [0x00007f8ebc283000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.util.TimerThread.mainLoop(Timer.java:526)
    [junit] 	- locked <0x00000006ce965000> (a java.util.TaskQueue)
    [junit] 	at java.util.TimerThread.run(Timer.java:505)
    [junit] 
    [junit] "Map Status Collector" #645 daemon prio=6 os_prio=0 tid=0x00007f8f1027b000 nid=0x6b5 waiting on condition [0x00007f8ebcbe2000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ce937d80> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #634 daemon prio=6 os_prio=0 tid=0x00007f8f10060000 nid=0x696 waiting on condition [0x00007f8ebcce3000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ce3bc008> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #627 daemon prio=6 os_prio=0 tid=0x00007f8f04fe3800 nid=0x68c waiting on condition [0x00007f8ebcde4000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ce5df028> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #620 daemon prio=6 os_prio=0 tid=0x00007f8f2404a800 nid=0x67a waiting on condition [0x00007f8ebd7e6000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cdfd4fc8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #598 daemon prio=6 os_prio=0 tid=0x00007f8ea4061000 nid=0x656 waiting on condition [0x00007f8ebd8e7000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cc655b48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #596 daemon prio=6 os_prio=0 tid=0x00007f8ea404e800 nid=0x653 waiting on condition [0x00007f8ebdfea000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cc74b0a8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #566 daemon prio=6 os_prio=0 tid=0x00007f8f2801a800 nid=0x442 waiting on condition [0x00007f8eec272000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cc41c1d8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "JCS-downloader-0" #331 daemon prio=5 os_prio=0 tid=0x00007f8f0044c800 nid=0x337 waiting on condition [0x00007f8ebdce9000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cbb11aa8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
    [junit] 	at java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:680)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #293 daemon prio=6 os_prio=0 tid=0x00007f8ed803d000 nid=0x30c waiting on condition [0x00007f8ebe3ec000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb9b1e30> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #291 daemon prio=6 os_prio=0 tid=0x00007f8ed8042800 nid=0x309 waiting on condition [0x00007f8ebe0eb000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb91ef48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #161 daemon prio=6 os_prio=0 tid=0x00007f8ed800d800 nid=0x7919 waiting on condition [0x00007f8ebe4ed000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb6f6bd8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #139 daemon prio=6 os_prio=0 tid=0x00007f8ed800c800 nid=0x7453 waiting on condition [0x00007f8ebe5ee000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb59e770> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #137 daemon prio=6 os_prio=0 tid=0x00007f8ed8003800 nid=0x73d8 waiting on condition [0x00007f8ebe6ef000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb554638> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #135 daemon prio=6 os_prio=0 tid=0x00007f8ed8002800 nid=0x7365 waiting on condition [0x00007f8ebe7f0000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb3e0278> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #133 daemon prio=6 os_prio=0 tid=0x00007f8ed8001000 nid=0x72dc waiting on condition [0x00007f8ebe8f1000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb2a1ae0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #131 daemon prio=6 os_prio=0 tid=0x00007f8ed804e000 nid=0x724e waiting on condition [0x00007f8ebe9f2000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb1bb480> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #129 daemon prio=6 os_prio=0 tid=0x00007f8ed804d000 nid=0x7238 waiting on condition [0x00007f8eed674000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb176ee8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #127 daemon prio=6 os_prio=0 tid=0x00007f8ed802c000 nid=0x7230 waiting on condition [0x00007f8eed975000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006cb07e758> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #125 daemon prio=6 os_prio=0 tid=0x00007f8ed802a000 nid=0x71da waiting on condition [0x00007f8ebeff6000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006caf89f00> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "main-worker-0" #106 daemon prio=5 os_prio=0 tid=0x00007f8eb0005800 nid=0x7121 waiting on condition [0x00007f8ebeaf3000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c5582cf0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #94 daemon prio=6 os_prio=0 tid=0x00007f8ec40e2000 nid=0x70f9 waiting on condition [0x00007f8ebebf4000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca8ba938> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #93 daemon prio=6 os_prio=0 tid=0x00007f8ec416e000 nid=0x70f7 waiting on condition [0x00007f8ebecf5000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca90b270> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #91 daemon prio=6 os_prio=0 tid=0x00007f8ec4194800 nid=0x70f0 waiting on condition [0x00007f8ebf0f7000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca863388> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #84 daemon prio=6 os_prio=0 tid=0x00007f8ec4168800 nid=0x70dc waiting on condition [0x00007f8ebf1f8000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca60a7c0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #76 daemon prio=6 os_prio=0 tid=0x00007f8ec4195800 nid=0x7001 waiting on condition [0x00007f8ebf2f9000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca4e6d10> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #74 daemon prio=6 os_prio=0 tid=0x00007f8ec4197000 nid=0x6fb6 waiting on condition [0x00007f8ebf3fa000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca4d9e08> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #72 daemon prio=6 os_prio=0 tid=0x00007f8ec4193800 nid=0x6f6f waiting on condition [0x00007f8ebf4fb000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca30fca8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #70 daemon prio=6 os_prio=0 tid=0x00007f8ec4190000 nid=0x6f2a waiting on condition [0x00007f8ebf5fc000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca2d7be0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #68 daemon prio=6 os_prio=0 tid=0x00007f8ec4192000 nid=0x6ebf waiting on condition [0x00007f8ebf7fe000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca1871d8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #66 daemon prio=6 os_prio=0 tid=0x00007f8ec404b800 nid=0x6e7b waiting on condition [0x00007f8ebf6fd000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006ca049ee8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #62 daemon prio=6 os_prio=0 tid=0x00007f8ec4191800 nid=0x6e0b waiting on condition [0x00007f8eec171000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c9f39010> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #51 daemon prio=6 os_prio=0 tid=0x00007f8ec404a000 nid=0x6c62 waiting on condition [0x00007f8eefb25000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c9e09dd8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #49 daemon prio=6 os_prio=0 tid=0x00007f8ec404b000 nid=0x6c1a waiting on condition [0x00007f8eee1d7000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c9cffdb8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Map Status Collector" #40 daemon prio=6 os_prio=0 tid=0x00007f8ed4175800 nid=0x6a31 waiting on condition [0x00007f8eefa24000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c8821ad8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:399)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Timer-0" #39 prio=6 os_prio=0 tid=0x00007f8ed4138800 nid=0x69e9 in Object.wait() [0x00007f8eeebfc000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c8822248> (a java.util.TaskQueue)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.util.TimerThread.mainLoop(Timer.java:526)
    [junit] 	- locked <0x00000006c8822248> (a java.util.TaskQueue)
    [junit] 	at java.util.TimerThread.run(Timer.java:505)
    [junit] 
    [junit] "TimerQueue" #31 daemon prio=5 os_prio=0 tid=0x00007f8ed4028800 nid=0x671a waiting on condition [0x00007f8eeda76000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c689a7d0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.DelayQueue.take(DelayQueue.java:211)
    [junit] 	at javax.swing.TimerQueue.run(TimerQueue.java:174)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "File Watcher" #12 prio=5 os_prio=0 tid=0x00007f8ed4008800 nid=0x6709 waiting on condition [0x00007f8eef723000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c54db960> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
    [junit] 	at java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:680)
    [junit] 	at sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
    [junit] 	at org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:114)
    [junit] 	at org.openstreetmap.josm.io.FileWatcher$$Lambda$5/1166106620.run(Unknown Source)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Java2D Disposer" #19 daemon prio=10 os_prio=0 tid=0x00007f8ee407b000 nid=0x6639 in Object.wait() [0x00007f8f303b8000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c55dc6d0> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at sun.java2d.Disposer.run(Disposer.java:148)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Thread-2" #11 daemon prio=5 os_prio=0 tid=0x00007f8f4472c800 nid=0x65d5 runnable [0x00007f8f301e0000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 	at sun.nio.fs.LinuxWatchService.poll(Native Method)
    [junit] 	at sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
    [junit] 	at sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Service Thread" #9 daemon prio=9 os_prio=0 tid=0x00007f8f443fd000 nid=0x6572 runnable [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C1 CompilerThread2" #8 daemon prio=9 os_prio=0 tid=0x00007f8f44390000 nid=0x6571 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread1" #7 daemon prio=9 os_prio=0 tid=0x00007f8f443fa000 nid=0x6570 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread0" #6 daemon prio=9 os_prio=0 tid=0x00007f8f4438a000 nid=0x656f waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Signal Dispatcher" #4 daemon prio=9 os_prio=0 tid=0x00007f8f44175000 nid=0x655f waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Finalizer" #3 daemon prio=8 os_prio=0 tid=0x00007f8f4414d800 nid=0x655e in Object.wait() [0x00007f8f31ab4000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c54163b0> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:209)
    [junit] 
    [junit] "Reference Handler" #2 daemon prio=10 os_prio=0 tid=0x00007f8f44149000 nid=0x655d in Object.wait() [0x00007f8f31bb5000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.lang.ref.Reference.tryHandlePending(Reference.java:191)
    [junit] 	- locked <0x00000006c54165e0> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)
    [junit] 
    [junit] "main" #1 prio=5 os_prio=0 tid=0x00007f8f4400d000 nid=0x6555 in Object.wait() [0x00007f8f4bba9000]
    [junit]    java.lang.Thread.State: TIMED_WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	at org.openstreetmap.josm.gui.layer.gpx.DownloadWmsAlongTrackAction$PrecacheWmsTask.realRun(DownloadWmsAlongTrackAction.java:65)
    [junit] 	- locked <0x0000000770d8fd88> (a org.openstreetmap.josm.gui.layer.gpx.DownloadWmsAlongTrackAction$PrecacheWmsTask)
    [junit] 	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:93)
    [junit] 	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:141)
    [junit] 	at org.openstreetmap.josm.gui.layer.gpx.DownloadWmsAlongTrackActionTest.testTMSLayer(DownloadWmsAlongTrackActionTest.java:55)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit] 	at java.lang.reflect.Method.invoke(Method.java:498)
    [junit] 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit] 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit] 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit] 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit] 	at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1004)
    [junit] 
    [junit] "VM Thread" os_prio=0 tid=0x00007f8f44141800 nid=0x655c runnable 
    [junit] 
    [junit] "GC task thread#0 (ParallelGC)" os_prio=0 tid=0x00007f8f44022000 nid=0x6557 runnable 
    [junit] 
    [junit] "GC task thread#1 (ParallelGC)" os_prio=0 tid=0x00007f8f44023800 nid=0x6558 runnable 
    [junit] 
    [junit] "GC task thread#2 (ParallelGC)" os_prio=0 tid=0x00007f8f44025800 nid=0x6559 runnable 
    [junit] 
    [junit] "GC task thread#3 (ParallelGC)" os_prio=0 tid=0x00007f8f44027000 nid=0x655a runnable 
    [junit] 
    [junit] "VM Periodic Task Thread" os_prio=0 tid=0x00007f8f44400000 nid=0x6573 waiting on condition 
    [junit] 
    [junit] JNI global references: 10889
    [junit] 
    [junit] Heap
    [junit]  PSYoungGen      total 1063424K, used 229556K [0x000000076c700000, 0x00000007ad880000, 0x00000007c0000000)
    [junit]   eden space 1061376K, 21% used [0x000000076c700000,0x000000077a72d1c0,0x00000007ad380000)
    [junit]   from space 2048K, 0% used [0x00000007ad380000,0x00000007ad380000,0x00000007ad580000)
    [junit]   to   space 2560K, 0% used [0x00000007ad600000,0x00000007ad600000,0x00000007ad880000)
    [junit]  ParOldGen       total 244224K, used 180161K [0x00000006c5400000, 0x00000006d4280000, 0x000000076c700000)
    [junit]   object space 244224K, 73% used [0x00000006c5400000,0x00000006d03f04e8,0x00000006d4280000)
    [junit]  Metaspace       used 80472K, capacity 86610K, committed 87000K, reserved 1124352K
    [junit]   class space    used 9994K, capacity 11462K, committed 11520K, reserved 1048576K
    [junit] 

comment:18 Changed 3 years ago by wiktorn

In 11444/josm:

Fix disappearing download tasks.

When ThreadPoolExecutor is adapting it's size, it interrupts its threads from time to time. HostLimitQueue had a bug, that when interrupted when waiting to acquire lock, it didn't return the job back to the queue.

Added testcases that helped debug this and that verify, that we're actually doing host based limiting.

Sponsored by "Girl, interrupted" movie with Angelina Jolie.

See: #14166

comment:19 Changed 3 years ago by wiktorn

@don-vip

You may give a kick to Jenking job 11441. I've run the tests few times all without a hang

comment:20 Changed 3 years ago by wiktorn

Milestone: 17.01
Resolution: fixed
Status: newclosed

Fixed upstream. Works OK in my home build. Should be fixed in the latest build from tonight (10.01.2017).

comment:21 Changed 3 years ago by Don-vip

In 11448/josm:

see #14166 - checkstyle

comment:23 Changed 3 years ago by wiktorn

Looks unrelated. And this tests are successful on my environment. I'll change the order of the asserts to check if we're only missing the message or the tile loads successfully for unknown host.

comment:24 Changed 3 years ago by stoecker

Ticket #14285 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.